*{outline: none;}

body{background: #2b2b2c;}

pre{
  display: inline-block;
  margin: 0;
}

/*### MOBILE MENU ###*/

.menuIcon{
  position: absolute;
  top: 0.5em;
  left: 0.5em;
  width: 25px;
  z-index: 1;
  display: none;
}

/*### LEFT ###*/

.left h2{
  padding-left: 20px;
  font-size: 1em;
  text-transform: uppercase;
  opacity: 0.5;
}

.left.side-bar,
.left.side-bar a{
  color: white;
  text-decoration: none;
}
.left.side-bar ul,
.left.side-bar ul a {
  color: white;
  opacity: 0.5;
  cursor: pointer;
}

.left .recentWork{
  margin-top: 40px;
}

.left ul.work{
  padding-left: 20px;
}

.left .work li{
  list-style: none;
}

ol {
  list-style-type: none;
  margin-left: 0;
  padding: 0;
}

ol > li {
  counter-increment: customlistcounter;
}

ol > li:before {
  content: counter(customlistcounter) " ";
  opacity: 0.5;
  text-align: right;
  padding: 0 15px;
  vertical-align: top;
}

ol:first-child {
  counter-reset: customlistcounter;
}
.content .side-bar {
  background: #272728;
  color: white;
  width: 20%;
  position: fixed;
  height: 100%;
  padding-top: 35px;
}

.content .main-content {
  background: #2b2b2c;
  color: white;
  width: 80%;
  padding-left: 20%;
}

/*
* Azul: #66d9ef;
* Rosa: #f92672;
* Amarelo: #e6db74;
* Verde: #a6e22e;
* Roxo: #ae81ff;
*/

.content .main-content ol{
  font-size: 0.8em;
}
.content .main-content ol li pre.tb1{ padding-left: 20px; }
.content .main-content ol li pre.tb2{ padding-left: 40px; }
.content .main-content ol li pre.tb3{ padding-left: 60px; }
.content .main-content ol li pre.tb4{ padding-left: 80px; }
.content .main-content ol li span.branco{ color: #ffffff; }
.content .main-content ol li span.azul{ color: #66d9ef; }
.content .main-content ol li span.rosa{ color: #f92672; }
.content .main-content ol li span.amarelo{ color: #e6db74; }
.content .main-content ol li span.verde{ color: #a6e22e; }
.content .main-content ol li span.roxo{ color: #ae81ff; }
.content .main-content ol li span.cinza{ color: #868686; }

.content .main-content ol a,
.content .main-content ol a:hover,
.content .main-content ol a.active,
.content .main-content ol a.visited{
  color: #e6db74;
  text-decoration: dotted;
  -webkit-text-decoration-style: dotted;
}

.css .area{
  text-transform: uppercase;
}

/*### CURSOR ANIMADO ###*/

.blinking-cursor {
  color: white;
  -webkit-animation: 1s blink step-end infinite;
  -moz-animation: 1s blink step-end infinite;
  -ms-animation: 1s blink step-end infinite;
  -o-animation: 1s blink step-end infinite;
  animation: 1s blink step-end infinite;
}

@keyframes "blink" {
  from, to {
    color: transparent;
  }
  50% {
    color: white;
  }
}

@-moz-keyframes blink {
  from, to {
    color: transparent;
  }
  50% {
    color: white;
  }
}

@-webkit-keyframes "blink" {
  from, to {
    color: transparent;
  }
  50% {
    color: white;
  }
}

@-ms-keyframes "blink" {
  from, to {
    color: transparent;
  }
  50% {
    color: white;
  }
}

@-o-keyframes "blink" {
  from, to {
    color: transparent;
  }
  50% {
    color: white;
  }
}

/*### TABS ###*/
.ui-widget-header,
.ui-widget-content {
    border: transparent;
    background: transparent;
    color: white;
}

.ui-tabs .ui-tabs-panel, #tabs { padding: 0; }

.ui-tabs .ui-tabs-nav {
  padding-left: 40px;
  background-color: #242425;
}

.ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default {
    border: transparent;
    background: #282829;
    font-weight: normal;
    color: white;
    font-size: 0.8em;
}

.ui-state-active, .ui-widget-content .ui-state-active, .ui-widget-header .ui-state-active {
    border: transparent;
    background: #2b2b2c;
    font-weight: normal;
    color: white;
}

.ui-state-default a, .ui-state-default a:link, .ui-state-default a:visited {
  color: white;
  text-decoration: none;
}


/*### RANGE INPUT ###*/
input[type=range] {
  -webkit-appearance: none;
  margin: 19.2px 0;
}
input[type=range]:focus {
  outline: none;
}
input[type=range]::-webkit-slider-runnable-track {
  width: 100%;
  height: 2.6px;
  cursor: pointer;
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
  background: #c8c8c8;
  border-radius: 0px;
  border: 0.1px solid #010101;
}
input[type=range]::-webkit-slider-thumb {
  box-shadow: 0px 0px 0px #ffffff, 0px 0px 0px #ffffff;
  border: 1px solid #ffffff;
  height: 41px;
  width: 0px;
  border-radius: 0px;
  background: #ffffff;
  cursor: pointer;
  -webkit-appearance: none;
  margin-top: -19.3px;
}
input[type=range]:focus::-webkit-slider-runnable-track {
  background: #d5d5d5;
}
input[type=range]::-moz-range-track {
  width: 100%;
  height: 2.6px;
  cursor: pointer;
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
  background: #c8c8c8;
  border-radius: 0px;
  border: 0.1px solid #010101;
}
input[type=range]::-moz-range-thumb {
  box-shadow: 0px 0px 0px #ffffff, 0px 0px 0px #ffffff;
  border: 1px solid #ffffff;
  height: 41px;
  width: 0px;
  border-radius: 0px;
  background: #ffffff;
  cursor: pointer;
}
input[type=range]::-ms-track {
  width: 100%;
  height: 2.6px;
  cursor: pointer;
  background: transparent;
  border-color: transparent;
  color: transparent;
}
input[type=range]::-ms-fill-lower {
  background: #bbbbbb;
  border: 0.1px solid #010101;
  border-radius: 0px;
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
}
input[type=range]::-ms-fill-upper {
  background: #c8c8c8;
  border: 0.1px solid #010101;
  border-radius: 0px;
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
}
input[type=range]::-ms-thumb {
  box-shadow: 0px 0px 0px #ffffff, 0px 0px 0px #ffffff;
  border: 1px solid #ffffff;
  height: 41px;
  width: 0px;
  border-radius: 0px;
  background: #ffffff;
  cursor: pointer;
  height: 2.6px;
}
input[type=range]:focus::-ms-fill-lower {
  background: #c8c8c8;
}
input[type=range]:focus::-ms-fill-upper {
  background: #d5d5d5;
}


@media only screen and (max-width : 768px) { 

  .content .side-bar{
    position: absolute;
    width: 280px;
    left: -300px;
    -webkit-transition: all 0.5s ease-in-out;
    -moz-transition: all 0.5s ease-in-out;
    -o-transition: all 0.5s ease-in-out;
    -ms-transition: all 0.5s ease-in-out;
    transition: all 0.5s ease-in-out;
  }

  .content .main-content{
    padding-left: 0;
    width: 100%;
    -webkit-transition: all 0.5s ease-in-out;
    -moz-transition: all 0.5s ease-in-out;
    -o-transition: all 0.5s ease-in-out;
    -ms-transition: all 0.5s ease-in-out;
    transition: all 0.5s ease-in-out;
  }

  .menuIcon{
    display: block;
  }

  .content .left.side-bar.mobileVisible{
    left: 0;
    z-index: 1;
  }

  .content .main-content.empurra{
    padding-left: 300px;
  }
  
  .content.overflowH{
    overflow: hidden;
  }

  pre {
      display: inline-block;
      margin: 0;
      width: 80%;
      word-wrap: break-word;
  }

}